Would Logic Pro X be stable on Sierra?

Discussion in 'macOS Sierra (10.12)' started by patent10021, Jun 18, 2016.

  1. patent10021 macrumors 68030

    patent10021

    Joined:
    Apr 23, 2004
    #1
    Would like to use Sierra but not create a separate partition etc. Only thing I'm concerned about is Logic Pro X. Back in the day a new OS would cause havoc but these newer OSs are so similar they don't seem to affect other Apple apps that much if at all.
     
  2. Autistic Behaviour macrumors member

    Autistic Behaviour

    Joined:
    Sep 9, 2015
    Location:
    montreal
    #2
    I've installed Sierra on a 2nd ssd and partition, and installed Logic pro x 10.2.3. I played around for a while and everything seems stable, but I didn't install all my 3rd party plugs on that partition though. All native plugs and instruments run as well as on El cap. Not a complete answer, but...;)
     
  3. patent10021 thread starter macrumors 68030

    patent10021

    Joined:
    Apr 23, 2004
    #3
    That's what I figured. With these new OSs there aren't weird driver changes and things like that. Back with Emagic Logic even an incremental version of the same OS could cause destruction.

    I'm just going to go ahead and do it since I need to develop on the bleeding edge and compose at the same time.

    I wonder how most of the Native Instruments stuff would perform. I guess you wouldn't want to try Kontact 5 for us would you? lol
     
  4. Autistic Behaviour, Jun 18, 2016
    Last edited: Jun 18, 2016

    Autistic Behaviour macrumors member

    Autistic Behaviour

    Joined:
    Sep 9, 2015
    Location:
    montreal
    #4
    Sure! why not...;)



    I'll check it out in about an hour...
    A can say my little usb tascam us 122 still works with the same driver I had on el cap
     
  5. patent10021 thread starter macrumors 68030

    patent10021

    Joined:
    Apr 23, 2004
    #5
    Thanks. I say Kontact 5 because it's flagship so chances are if that works others will. Plus it's the engine for 99% of the 3rd party libraries out there.
     
  6. Autistic Behaviour macrumors member

    Autistic Behaviour

    Joined:
    Sep 9, 2015
    Location:
    montreal
    #6
    Screen Shot 2016-06-18 at 9.42.26 PM.png
    --- Post Merged, Jun 18, 2016 ---
    :) all cars go!
     
  7. patent10021 thread starter macrumors 68030

    patent10021

    Joined:
    Apr 23, 2004
  8. Michaelhuisman macrumors newbie

    Joined:
    Oct 12, 2011
    #9
    Did you upgrade or fresh install? I upgraded and no 3rd party plugins can be opened, not a single one, including Kontakt which you obviously have working!
     
  9. Autistic Behaviour macrumors member

    Autistic Behaviour

    Joined:
    Sep 9, 2015
    Location:
    montreal
    #10
    Its a clean install on a seperate partition.
    --- Post Merged, Jun 19, 2016 ---
    I may test an upgrade on my main drive, after 2 or 3 backup clones;)
    --- Post Merged, Jun 19, 2016 ---
    You could try to delete your AU cache, and see if that helps...
     
  10. Michaelhuisman macrumors newbie

    Joined:
    Oct 12, 2011
    #11
    Hmmm.... AU cache was deleted as part of the install/upgrade. That's why why AU validation had to run, and all 3rd party AUs failed to open. I manually deleted, got the same result. I uninstalled Logic, MainStage and Garageband and reinstalled all three. Same result. This is on my non-music production partition, so in theory I could do a fresh install, but right now not worth the trouble. Good to see this worked for you, and... Scratching my head as to why none of mine open. This was a fresh install of El Cap about 2 months ago - pretty clean...
     
  11. fisherking macrumors 603

    fisherking

    Joined:
    Jul 16, 2010
    Location:
    ny somewhere
    #12
    i've seen this before; good to back up the AU cache before upgrading the OS. then, if need be, copy it back; should (MIGHT) work. this is my plan as soon as the public beta hits. (fun to live dangerously...)
     
  12. Autistic Behaviour macrumors member

    Autistic Behaviour

    Joined:
    Sep 9, 2015
    Location:
    montreal
    #13
    When you say uninstalled, do you mean removing all associated preferences files, cache, etc...?

    Also, I once used an app called OSX Validate all AU's on el cap, at the begining. Some AU's werent being validated (working in ableton but not logic) and it worked like a charm. ...May still work on Sierra
     
  13. Michaelhuisman macrumors newbie

    Joined:
    Oct 12, 2011
    #14
    Uninstalled 1st time as in... First time booting up Logic after update El Cap -> Sierra, Logic started to validate all the plug-ins. Very quickly, but the usual routing. Why quick? auvaltool failed to open each and every 3rd party plugin. Using the plug-in manager within Logic gives the error messages visibly.

    Uninstalled 2nd time as in... Actually going and deleting the cache file and directory. Reboot. Start Logic, it exhibits same behavior as above, with same result. I have the legit auvaltool saved from the early el cap beta days as a year ago we all had a similar problem, but not the same...

    This is the actual output of trying to validate a plug-in:

    Plug-ins, the same ones, work fine in Live by the way...

    validating Audio Unit Omnisphere by Spectrasonics:

    AU Validation Tool
    Version: 1.6.1a1
    Copyright 2003-2013, Apple Inc. All Rights Reserved.
    Specify -h (-help) for command options

    --------------------------------------------------
    VALIDATING AUDIO UNIT: 'aumu' - 'Ambr' - 'GOSW'
    --------------------------------------------------
    ERROR: Cannot get Component's Name strings
    ERROR: Error from retrieving Component Version: -50

    * * FAIL
    --------------------------------------------------
    TESTING OPEN TIMES:
    FATAL ERROR: didn't find the component


    validation result: couldn't be opened
     
  14. fisherking macrumors 603

    fisherking

    Joined:
    Jul 16, 2010
    Location:
    ny somewhere
    #15
    do you have a backup of the com.apple.audiounits.cache file (in User>Library>Caches>AudioUnitCache)? this worked for me last year... (reboot, replace the current file with the backed-up one, open logic)...
     
  15. Autistic Behaviour macrumors member

    Autistic Behaviour

    Joined:
    Sep 9, 2015
    Location:
    montreal
    #16
    ok. I cloned my current El cap partition that I use daily for production, on an external usb3 drive. I then installed Sierra on it. A part from a hang when I started Logic up (force quit and restart), all went smoothly. 1 or registry errors, but everything else was fine. I also made sure I didnt have "Validate all AU's app" active in any way. I stopped validation after around 100 AU's (I've got, like, 1000:eek:). But I tested most important plugs for me, and they work. I can test some others, later.
    I may be just lucky with my configuration, etc..., but, I didnt do anything like replace the audiounit.cache.... Screen Shot 2016-06-20 at 3.44.21 PM.png
     
  16. Michaelhuisman macrumors newbie

    Joined:
    Oct 12, 2011
    #17
    Wow... Okay, good for you - and now I've gotta wonder what it is on my rig that's causing this. At some point, I'll have to do a clean install, but not today... Maybe around the public beta timeframe...

    Many thanks for taking the time to check this!
     
  17. klogg macrumors member

    Joined:
    Oct 17, 2012
    #18
    Any UI lag when zooming in or out like on Retina macbooks with Mavericks?
     
  18. Autistic Behaviour macrumors member

    Autistic Behaviour

    Joined:
    Sep 9, 2015
    Location:
    montreal
    #19
    Just for fun, are you running 10.2.3? or, an earlier point update?

    My pleasure
    --- Post Merged, Jun 21, 2016 ---
    mmmm.. didn't notice any lag. I'll have to go back and check...
     
  19. aliensporebomb macrumors 68000

    aliensporebomb

    Joined:
    Jun 19, 2005
    Location:
    Minneapolis, MN, USA, Urth
    #20
    I'd just be careful if you have hardware devices that have USB connections. Seems like every time a new update comes out I have to wait for the hardware vendor to develop a new update in order to use it.
     
  20. Michaelhuisman macrumors newbie

    Joined:
    Oct 12, 2011
    #21
    10.2.3
     

Share This Page